Ticket #267 (closed bug: fixed)

Opened 11 years ago

Last modified 11 years ago

Echo AF4: could not align streams.

Reported by: ejis Assigned to:
Priority: major Milestone:
Component: devices/fireworks Version: FFADO 2.0.0
Keywords: Cc:
The device the bug applies to:

Description

Hello,

I recently got a new computer, with a FireWire? card so I can plug my Echo AudioFire?.

# lspci | grep 1394 06:00.0 FireWire? (IEEE 1394): O2 Micro, Inc. Device 10f7 (rev 01)

But when I try to run JACK with it, I get the following errors, then it stops:

jackd 0.118.0 Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others. jackd comes with ABSOLUTELY NO WARRANTY This is free software, and you are welcome to redistribute it under certain conditions; see the file COPYING for details

no message buffer overruns JACK compiled with System V SHM support. loading driver .. libffado 2.0.0 built Feb 21 2010 07:50:54 03282776510: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03283279611: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03284580014: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03284884512: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03285284662: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03285886809: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03286286689: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03286885896: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03287388598: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03287885404: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03288288764: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... firewire ERR: wait status < 0! (= -1) DRIVER NT: could not run driver cycle 03288591568: Error (StreamProcessorManager?.cpp)[ 783] syncStartAll: Could not align streams... 03288591591: Fatal (StreamProcessorManager?.cpp)[1070] handleXrun: Could not syncStartAll... 03288591599: Error (devicemanager.cpp)[ 986] waitForPeriod: Could not handle XRUN 03288591607: Error (ffado.cpp)[ 264] ffado_streaming_wait: Error condition while waiting (Unhandled XRUN) jack main caught signal 12 no message buffer overruns

Can you help me solving this?

Attachments

ffado-logs.tar.xz (449.2 kB) - added by ejis on 03/22/10 14:23:15.

Change History

03/19/10 05:12:43 changed by adi

Please read http://subversion.ffado.org/wiki/WritingGoodTickets and provide more information. Also retitle the bug to something like "Echo AF4: could not align streams."

Don't forget to include the jackd command line parameters.

TNX.

03/22/10 14:19:16 changed by ejis

  • summary changed from New computer: JACK crashes to Echo AF4: could not align streams..

Sorry, I'll give you better informations:
I'm using Zenwalk snapshot (6.4) and a 2.6.31.12-rt21 kernel. Everithing worked fine until I got this new computer. But in fact, I actually could get JACK to work correctly, but with some warning messages, that should need to be seen. I don't know if I will have the same luck in the future.
I attached an archive containing the logs you should need.

03/22/10 14:23:15 changed by ejis

  • attachment ffado-logs.tar.xz added.

03/22/10 14:25:18 changed by ejis

I replaced the archive: it contains 2 logs. The first one is the one that works, using the command "jackd --verbose -d firewire -o 2 -i 2 -v6", and the second one is the one that crashes, using the command "jackd --verbose -d firewire -o 2 -i 2 -v6 -p 128".

04/01/10 02:45:06 changed by ejis

  • status changed from new to closed.
  • resolution set to fixed.